Title = "BigOpenBox Setup"
'--------check wsh version-------
	If WScript.Version < 5.6 Then
	MsgBox "Windows Script Host version too old." _
		& VbCrlf & "This is NOT a problem to use the patch because you can instal it manualy." _
		& VbCrlf & "To run the installation script you need the version 5.6 or superior." _
		& VbCrlf & "Please read the readme file to know how to update WHS" _
		& VbCrlf & "and how to instal Big Open Box manualy." _
		& VbCrlf & "Installation canceled.",16+0,Title
	WScript.Quit
	End If
'------ask----
	If MsgBox("Install BIG Open Box?" _
	 & VbCrlf & "This will enlarge the size of the open/save box in use with most programs.", 32+4, Title) = 7 Then
	wscript.quit
	End if
Set Fso = CreateObject("Scripting.FileSystemObject")
Set WshShell = WScript.CreateObject("WScript.Shell")
'--------Check if 2omdlg32.dll is in directory-------
	If Fso.FileExists("2omdlg32.dll")=False Then
	MsgBox "2omdlg32.dll not in this directory." _
		& VbCrlf & "Please extract 2omdlg32.dll in the same directory as BigOpenBox_Setup.vbs and try again." _
		& VbCrlf & "Installation canceled.",16+0,Title
	WScript.Quit
	End If
'--------move file to windows------
WinSystemDir = Fso.GetSpecialFolder(1)
	If Fso.FolderExists(WinSystemDir)=True Then
		If Fso.FileExists(WinSystemDir & "\2omdlg32.dll") = False Then
		fso.GetFile("2omdlg32.dll").Move WinSystemDir & "\2omdlg32.dll"
		Else
		MsgBox "File already in system directory. Click ""OK"" to continue.",,Title
		End If
	Else
	MsgBox "Couldn't locate the Windows\System directory." _
		& VbCrlf & "Please read the readme file and install the patch manualy." _
		& VbCrlf & "Installation canceled.",16+0,Title
	WScript.Quit
	End If
'--------check if start up folder found-------
sfPath = WshShell.SpecialFolders("Startup")	
'--------save a copy of autoexec.bat---------
	If Fso.FileExists("C:\AUTOEXEC.BAT")=False Or Fso.FolderExists(sfPath)=False Then
	MsgBox "Couldn't locate AUTOEXEC.BAT or the StartUp directory." _
		& VbCrlf & "Please read the readme file and install the patch manualy." _
		& VbCrlf & "IMPORTANT:" _
		& VbCrlf & "the file 2omdlg32.dll has been move to the Windows\System directory." _
		& VbCrlf & "You can use it if you install the patch manualy" _
		& VbCrlf & "or delete it if you don't." _
		& VbCrlf _
		& VbCrlf & "Installation canceled.",16+0,Title
	WScript.Quit
	End If
fso.GetFile("C:\AUTOEXEC.BAT").Copy "C:\AUTOEXECBAT.old"
'--------append lines to autoexec.bat---------
BatchCode = "@echo off" _
& VbCrlf & "echo Replacing small open box with BIG open box..." _
& VbCrlf & "echo Please wait..." _
& VbCrlf & "c:" _
& VbCrlf & "cd windows" _
& VbCrlf & "cd system" _
& VbCrlf & "@echo on" _
& VbCrlf & "rename Comdlg32.dll Comdlg32.old" _
& VbCrlf & "rename 2omdlg32.dll Comdlg32.dll"
Set objOutputFile = fso.OpenTextFile("C:\AUTOEXEC.BAT", 8)
objOutputFile.WriteLine ""
objOutputFile.WriteLine BatchCode
objOutputFile.Close
'--------Cre le fichier vbs dans startup-----
Set objOutputFile = fso.CreateTextFile(sfPath & "\tempsetup.vbs", True)
objOutputFile.WriteLine "Set fso = CreateObject(""Scripting.FileSystemObject"")"
objOutputFile.WriteLine "Set WshShell = WScript.CreateObject(""WScript.Shell"")"
'-------remplace autoexec.bat---
objOutputFile.WriteLine "If Fso.FileExists(""C:\AUTOEXECBAT.old"")=True Then"
objOutputFile.WriteLine "fso.GetFile(""C:\AUTOEXEC.BAT"").Delete"
objOutputFile.WriteLine "fso.GetFile(""C:\AUTOEXECBAT.old"").Move ""C:\AUTOEXEC.BAT"""
'---------run a test with notepad-----
objOutputFile.WriteLine "  If MsgBox(""BIG Open Box installed successfuly!"" & VbCrlf & ""Do you want to make a test with Notepad?"",32+4,""BigOpenBox Setup"")=6 Then "
objOutputFile.WriteLine "  WshShell.Run ""notepad.exe"", 1, false"
objOutputFile.WriteLine "  WScript.Sleep 1000" 
objOutputFile.WriteLine "  WshShell.SendKeys(""%fo"") "
objOutputFile.WriteLine "  WScript.Sleep 300"
objOutputFile.WriteLine "  MsgBox ""Test done: How does it look?"" & VbCrlf & ""You can click cancel on the open box and close Notepad now."",,""BigOpenBox Setup"""
objOutputFile.WriteLine "  End If"
'---------in case it didn't find AUTOEXECBAT.old----
objOutputFile.WriteLine "Else"
objOutputFile.WriteLine "WshShell.Run ""notepad.exe C:\AUTOEXEC.BAT"""
objOutputFile.WriteLine "WScript.Sleep 1000"
objOutputFile.WriteLine "MsgBox ""The uninstaller couldn't restore AUTOEXEC.BAT."" _"
objOutputFile.WriteLine "& VbCrlf _"
objOutputFile.WriteLine "& VbCrlf & ""VERY IMPORTANT:"" _"
objOutputFile.WriteLine "& VbCrlf & ""Edit C:\AUTOEXEC.BAT in Notepad and delete the following lines if they exist :"" _"
objOutputFile.WriteLine "& VbCrlf _"
objOutputFile.WriteLine "& VbCrlf & """ &  Replace(BatchCode, VbCrlf, """ _" & VbCrlf & "& VbCrlf & """) & """,48+0,""BigOpenBox Setup WARNING"""
objOutputFile.WriteLine "End If"
'------autodestrction du vbs script dans start up----
objOutputFile.WriteLine "sfPath = WshShell.SpecialFolders(""Startup"")"
objOutputFile.WriteLine "fso.GetFile(sfPath & ""\tempsetup.vbs"").Delete"
objOutputFile.Close
'---------restart-------
	If MsgBox("The new size for the open/save box will take effect the next time you restart your computer." _
		& VbCrlf _
		& VbCrlf & "Do you want to restart your computer now?" _
		& VbCrlf _
		& VbCrlf & "Please close all running programs and save all unsaved documents before you click ""Yes"".", 32+4, Title) = 6 Then
	WshShell.Run "C:\WINDOWS\RUNDLL32.EXE shell32.dll,SHExitWindowsEx 2", 2, false
	Else
	MsgBox "Installation of Big Open Box will resume the next time your start your computer.",,Title
	End if
'---------end of script-------
'Frederic Hage
'this script is under copyright protection